# Deep network: Mnist Class Reference

Mnist Class Reference

`#include <mnist.hpp>`

Inheritance diagram for Mnist:
[legend]

## Public Member Functions

| Mnist ()
pair< Vector, Vector > | get_train (const size_t i) const
pair< Vector, Vector > | get_test (const size_t i) const
Public Member Functions inherited from Dataset
| Dataset ()
size_t | get_train_size () const
size_t | get_test_size () const
size_t | get_y_size () const
virtual pair< Vector, Vector > | get_train (const size_t i) const =0
virtual pair< Vector, Vector > | get_test (const size_t i) const =0

## Additional Inherited Members

Protected Attributes inherited from Dataset
size_t | train_size
size_t | test_size
size_t | x_size
size_t | y_size

## Constructor & Destructor Documentation

## Mnist()

Mnist::Mnist | ( |  | ) |

## Member Function Documentation

## get_test()

pair< Vector, Vector > Mnist::get_test | ( | const size_t | i | ) | const

inlinevirtual

Implements Dataset.

## get_train()

pair< Vector, Vector > Mnist::get_train | ( | const size_t | i | ) | const

inlinevirtual

Implements Dataset.

The documentation for this class was generated from the following files:

- src/mnist/mnist.hpp
- src/mnist/mnist.cpp